#
# Conditional build:
%bcond_without	doc		# don't build doc
%bcond_without	tests		# py.test tests
%bcond_without	setuptools	# build without setuptools (for bootstraping)

Summary:	Core utilities for Python packages
Summary(pl.UTF-8):	Bazowe funkcje narzędziowe do pakietów Pythona
Name:		python3-packaging
Version:	23.1
Release:	1
License:	Apache v2.0 or BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/packaging/
Source0:	https://files.pythonhosted.org/packages/source/p/packaging/packaging-%{version}.tar.gz
# Source0-md5:	f7d5c39c6f92cc2dfa1293ba8f6c097c
URL:		https://github.com/pypa/packaging
BuildRequires:	python3 >= 1:3.6
BuildRequires:	python3-modules >= 1:3.6
%{?with_setuptools:BuildRequires:	python3-setuptools >= 1:61.0.0}
%if %{with tests}
BuildRequires:	python3-pretend
BuildRequires:	python3-pyparsing >= 2.0.2
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-furo
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.6
Requires:	python3-pyparsing >= 2.0.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Core utilities for Python packages.

%description -l pl.UTF-8
Bazowe funkcje narzędziowe do pakietów Pythona.

%package apidocs
Summary:	API documentation for Python packaging library
Summary(pl.UTF-8):	Dokumentacja API biblioteki Pythona packaging
Group:		Documentation

%description apidocs
API documentation for Python packaging library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Pythona packaging.

%prep
%setup -q -n packaging-%{version}
cat > setup.py <<EOF
from setuptools import setup
setup(version='%{version}')
EOF

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/build-3/lib \
%{__python3} -m pytest
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE LICENSE.BSD README.rst
%{py3_sitescriptdir}/packaging
%{py3_sitescriptdir}/packaging-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,development,*.html,*.js}
%endif
%changelog
* Thu Jun 22 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-packaging.git;a=log;h=master

* Thu Jun 22 2023 Jan Palus <atler@pld-linux.org> 1fecff9
- ensure built module has precedence over system installed one when running tests

* Thu Jun 22 2023 Jan Palus <atler@pld-linux.org> 78a5fbd
- correct python3-setuptools epoch

* Thu Jun 22 2023 Jan Palus <atler@pld-linux.org> 78b722b
- up to 23.1

* Thu Jun 22 2023 Jan Palus <atler@pld-linux.org> 1e5419c
- BR: python3 for %py3_*

* Fri Sep 02 2022 Jakub Bogusz <qboosh@pld-linux.org> dadc4cb
- disable pytest plugins

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 6381453
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 06e72bd
- rebuild with python 3.10

* Tue Mar 15 2022 Jan Palus <atler@pld-linux.org> 11461ae
- unconditionally R: python3-pyparsing; rel 2

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 24f315f
- fixed Name

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 94977cc
- python-packaging.spec updated to 21.3 for python 3.6+

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> f5f1f54
- updated to 20.9

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> aa56d43
- release 3 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 4638ac2
- release 2 (by relup.sh)

* Wed Apr 01 2020 Jakub Bogusz <qboosh@pld-linux.org> fb6271d
- updated to 20.3

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 2445b78
- updated to 19.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 9eaec67
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Nov 08 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f3ba4c
- up to 18.0

* Mon Jul 30 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 378c97d
- dependencies fixed

* Mon Jul 30 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 055091a
- without setuptools bcond added

* Mon Jul 30 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 81d5f5a
- six and pyparsing dependency added

